C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION EXCHNG(IP)
C*****TAKES A SINGLE PARAMETER J AS X CO-ORDINATE,PRINTS THE VALUE
C***** OF CURVE1 AND ASKS FOR A REPLACEMENT VALUE
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON//SAVDES(256),CURVE1(512)
	IF(IP.GT.1)GOTO 150
	EXCHNG=0
	IX=INTPAR(1)
	IF(IX.LT.1.OR.IX.GT.SAVDES(108))GOTO 150
	WRITE(7,200)IX,CURVE1(IX)
	READ(5,*)CURVE1(IX)
	RETURN
150	EXCHNG=-1
	RETURN
200	FORMAT(1X,'POINT ',I6,'=',G13.6,/1X,':',$)
	END
